//////////////////////////////////////////////////////////////////////
/*!	@class	CAquesTalk

	@brief	KGW AquesTalk

  L񂩂特g`f[^ɐ
  o͉g`́A8HKzTvO, 16bit,m,WAVtH[}bg


	@author	N.Yamazaki (Aquest)

	@date	2006/05/08	N.Yamazaki	Creation
	@date	2006/10/03	N.Yamazaki	Ver.2.0
	@date	2006/10/12	N.Yamazaki	Ver.2.1 .deft@C̎gp__stdcall̒`
	@date	2007/09/27	N.Yamazaki	Ver.2.2 e핶R[h̋LɑΉ
*/
//	̃\[XR[h̗pɂẮA
//	 AqLicense.txt 
//  COPYRIGHT (C) 2006 AQUEST CORP.
//////////////////////////////////////////////////////////////////////
#if !defined(_AQUESTALK_H_)
#define _AQUESTALK_H_
#ifdef __cplusplus
extern "C"{
#endif

#if defined(AQUESTALK_EXPORTS)
#undef	DllExport
#define DllExport	__declspec( dllexport )
#else
#define DllExport
#endif

#if !(defined(WIN32)||defined(WINCE))
#define	__stdcall		// for Linux etc.
#endif

/////////////////////////////////////////////
//!	L񂩂特g`𐶐
//!	g`f[^͓ŗ̈mۂB
//!	g`f[^͖̉{֐̌ĂяoAquesTalk_FreeWave()ɂčs
//! @param	koe[in]		LiSJIS NULLI[j
//! @param	iSpeed[in]	bx [%] 50-300 ̊ԂŎw
//!	@param	pSize[out]	f[^̃TCY[byte]iG[̏ꍇ̓G[R[hԂj
//!	@return	WAVtH[}bg̉f[^̐擪AhXBG[NULLԂ
DllExport unsigned char * __stdcall AquesTalk_Synthe(const char *koe, int iSpeed, int *pSize);

//! @param	koe[in]		LiEUC NULLI[j
DllExport unsigned char * __stdcall AquesTalk_Synthe_Euc(const char *koe, int iSpeed, int *pSize);

//! @param	koe[in]		LiUTF8 NULLI[ BOM͂Ȃj
DllExport unsigned char * __stdcall AquesTalk_Synthe_Utf8(const char *koe, int iSpeed, int *pSize);

//! @param	koe[in]		LiUTF16 NULLI[ BOM̗L͖Ȃ@GfBA͎sɏ]j
DllExport unsigned char * __stdcall AquesTalk_Synthe_Utf16(const unsigned short *koe, int iSpeed, int *pSize);

//! @param	koe[in]		Li[}\L NULLI[j
DllExport unsigned char * __stdcall AquesTalk_Synthe_Roman(const char *koe, int iSpeed, int *pSize);


/////////////////////////////////////////////
//!	f[^̗̈J
//!	@param  wav[in]		AquesTalk_Synthe()ŕԂꂽAhXw
DllExport void __stdcall AquesTalk_FreeWave(unsigned char *wav);


/////////////////////////////////////////////
//!	CZXL[ݒ	iWindowsł͎j
//!	@param  key[in]		CZXL[w
//!	@return	CZXL[0AȂ1Ԃ
DllExport int __stdcall AquesTalk_SetLicenceKey(const char *key);

#ifdef __cplusplus
}
#endif
#endif // !defined(_AQUESTALK_H_)
